"use strict";require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.eslintWatch=exports.eslintSilent=exports.eslintStrict=exports.eslintLoose=void 0;var _gulp=require("gulp");
var _gulpEslint=_interopRequireDefault(require("gulp-eslint"));
var _gulpIf=_interopRequireDefault(require("gulp-if"));
var _gulpExeca=require("gulp-execa");

var _files=require("../../files.js");
var _utils=require("../../utils.js");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}








const eslint=async function(mode){
const fix=mode==="strict"?"":"--fix ";
const verbose=mode!=="silent";

const files=[_files.JAVASCRIPT,_files.MARKDOWN].join(" ");





await(0,_gulpExeca.exec)(
`eslint ${files} --ignore-path=.gitignore ${fix}--cache --format=codeframe --max-warnings=0`,
{verbose,echo:false});

};

const eslintLoose=(0,_utils.bind)(eslint,"loose");exports.eslintLoose=eslintLoose;
const eslintStrict=(0,_utils.bind)(eslint,"strict");exports.eslintStrict=eslintStrict;
const eslintSilent=(0,_utils.bind)(eslint,"silent");exports.eslintSilent=eslintSilent;

const eslintWatch=function(){
return(0,_gulp.src)([_files.JAVASCRIPT,_files.MARKDOWN],{dot:true,since:(0,_gulp.lastRun)(eslintWatch)}).
pipe(
(0,_gulpEslint.default)({
ignorePath:".gitignore",
fix:true,
maxWarnings:0,

reportUnusedDisableDirectives:true})).


pipe(_gulpEslint.default.format("codeframe")).
pipe(_gulpEslint.default.failAfterError()).
pipe((0,_gulpIf.default)(isFixed,(0,_gulp.dest)(({base})=>base)));
};exports.eslintWatch=eslintWatch;

const isFixed=function({eslint:{fixed}={}}){
return fixed;
};
//# sourceMappingURL=eslint.js.map