"use strict";require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.lintWatch=exports.lint=void 0;var _process=require("process");
var _util=require("util");

var _gulp=require("gulp");
var _isCi=_interopRequireDefault(require("is-ci"));

var _prettier=require("./prettier.js");
var _eslint=require("./eslint.js");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}












const lint=function(){
if(_process.argv.slice(2).some(isFullArg)){
return lintFull;
}

if(_isCi.default){
return lintStrict;
}

return lintLoose;
};exports.lint=lint;


const isFullArg=function(arg){
return arg==="--full";
};

const lintFull=async function(){
try{
await(0,_util.promisify)(lintStrict)();
}catch(error){
await handleLintError(error);
}
};



const handleLintError=async function(error){
try{
await(0,_util.promisify)(lintSilent)();
}catch(_unused){}

throw error;
};

const lintStrict=(0,_gulp.series)(_prettier.prettierStrict,_eslint.eslintStrict);
const lintLoose=(0,_gulp.series)(_prettier.prettierLoose,_eslint.eslintLoose);
const lintSilent=(0,_gulp.series)(_prettier.prettierSilent,_eslint.eslintSilent);
const lintWatch=(0,_gulp.series)(_prettier.prettierLoose,_eslint.eslintWatch);exports.lintWatch=lintWatch;
//# sourceMappingURL=lint.js.map