"use strict";require("core-js/modules/es.promise");require("core-js/modules/es.string.replace");Object.defineProperty(exports,"__esModule",{value:true});exports.checkCoverage=exports.uploadCoverage=exports.getNyc=void 0;var _process=require("process");

var _isCi=_interopRequireDefault(require("is-ci"));
var _fastGlob=_interopRequireDefault(require("fast-glob"));
var _got=_interopRequireDefault(require("got"));
var _pluginError=_interopRequireDefault(require("plugin-error"));
var _gulpExeca=require("gulp-execa");

var _files=require("../../files.js");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}


const CODECOV_SCRIPT=`${__dirname}/codecov.sh`;
const COVERAGE_PATH="coverage/coverage-final.json";

const{TRAVIS_REPO_SLUG,TRAVIS_COMMIT,TRAVIS_PULL_REQUEST_SHA}=_process.env;



const getNyc=async function(){
if(!(await shouldCover())){
return"";
}

return"nyc --reporter=lcov --reporter=text --reporter=html --reporter=json --exclude=build/test --exclude=ava.config.js ";
};exports.getNyc=getNyc;


const uploadCoverage=async function(){
if(!(await shouldCover())){
return;
}

const tags=getCoverageTags();
await(0,_gulpExeca.exec)(`bash ${CODECOV_SCRIPT} -f ${COVERAGE_PATH} ${tags} -Z`);
};exports.uploadCoverage=uploadCoverage;


const getCoverageTags=function(){
const os=PLATFORMS[_process.platform];

const nodeVersion=`node_${_process.version.replace(/\./gu,"_")}`;
return[os,nodeVersion].map(getCoverageTag).join(" ");
};

const PLATFORMS={
linux:"linux",
darwin:"mac",
win32:"windows"};


const getCoverageTag=function(tag){
return`-F ${tag}`;
};




const shouldCover=function(){
return _isCi.default&&hasCode();
};

const hasCode=async function(){
const files=await(0,_fastGlob.default)(`${_files.SRC}/**/*.js`);
return files.length!==0;
};



const checkCoverage=async function(){
const covInfo=await getCoverage();

if(covInfo>=COVERAGE_THRESHOLD){
return;
}

const codecovUrl=getCodecovUrl().replace("/api","");
throw new _pluginError.default(
"gulp-codecov-check",
`Test coverage is ${covInfo}% but should be at least ${COVERAGE_THRESHOLD}%. See ${codecovUrl}`);

};exports.checkCoverage=checkCoverage;

const getCoverage=async function(){
const codecovUrl=getCodecovUrl();

const{body}=await(0,_got.default)(codecovUrl,{
timeout:CODECOV_TIMEOUT,
retry:CODECOV_RETRY});

const{
commit:{totals}}=
JSON.parse(body);


if(totals===null){
throw new _pluginError.default(
"gulp-codecov-check",
`Test coverage is missing. See ${codecovUrl}`);

}

const covInfo=Number(totals.c);
return covInfo;
};


const CODECOV_TIMEOUT=6e4;
const CODECOV_RETRY=10;

const getCodecovUrl=function(){
const commit=TRAVIS_PULL_REQUEST_SHA||TRAVIS_COMMIT;
return`https://codecov.io/api/gh/${TRAVIS_REPO_SLUG}/commit/${commit}`;
};

const COVERAGE_THRESHOLD=100;
//# sourceMappingURL=coverage.js.map